Bug 146369 - wich: "attach to process" filter should not be cleared
Summary: wich: "attach to process" filter should not be cleared
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: CPP Debugger (show other bugs)
Version: 3.4.1
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-04 22:20 UTC by Gianni Rossi
Modified: 2011-12-31 09:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianni Rossi 2007-06-04 22:20:39 UTC
Version:           3.4.1 (using KDE KDE 3.5.5)
Installed from:    Gentoo Packages

I'm debugging a lib that is loaded by a 3rd party app, so I am using the "attach to process" function repeatedly.

Every time I start the debug process I have to type the process name in the filter to locate the PID.

It would be much more efficient if the text I typed in the filter wasn't cleared, so I could just click on the process I quicker.

..and/or..

In the "(QMake) Project Settings" window I could set the process name to be used as default filter.
Comment 1 Vladimir Prus 2009-12-27 11:19:29 UTC
I believe the right interface should be to have to commands. "Attach" would try to attach to the current launch configuration -- by finding all processes with the same executable as specified in the launch config. If only one executable is found, no dialog box is popped up. "Attach to..." would show the selection dialog that is shown today. How does that sound?
Comment 2 Gianni Rossi 2009-12-27 14:41:55 UTC
Sounds perfect, it would really solve my 'problem'.

However, it might not be intuitive to someone building a .so project that that is how it works.  So maybe a tip might be helpful in the "Attach to..." dialog.  For example, when I built my .so, I was using Apache so I did not set any launch config since the process was started automatically.  I would then just set the launch config to inform the debbuger which process to attach to, and not to actually launch the process, therefore it would not be intuitive that I needed to do that.

Another thing that might help is that when more looking for processes, filter out all of those that have different UID or GID.

Right now, I cannot see any "Attach to..." menu; this must be because I am now using KDev in OS X, so if I said anything stupid, please forgive me.
Comment 3 Niko Sams 2011-12-31 09:17:56 UTC
Git commit 69ab04bd57781a1183a9b29d3c179de41967e2f8 by Niko Sams.
Committed on 31/12/2011 at 10:16.
Pushed by nsams into branch '4.3'.

gdb process selection: remember state of dialog

M  +13   -0    debuggers/gdb/processselection.cpp
M  +1    -0    debuggers/gdb/processselection.h

http://commits.kde.org/kdevelop/69ab04bd57781a1183a9b29d3c179de41967e2f8